%define name ipw2100-firmware
%define version 1.3
%define release %mkrel 2

Summary: Firmware for the IPW2100
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ipw2100.sourceforge.net/%{name}-%{version}.tar.bz2
License: Proprietary
Group: System/Kernel and hardware
Url: http://ipw2100.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

%description
This package contains the firmware files for the IPW2100 chip

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/lib/firmware/
install -m 0644 ipw2100-1.3-i.fw $RPM_BUILD_ROOT/lib/firmware/ipw2100-1.3-i.fw
install -m 0644 ipw2100-1.3-p.fw $RPM_BUILD_ROOT/lib/firmware/ipw2100-1.3-p.fw
install -m 0644 ipw2100-1.3.fw $RPM_BUILD_ROOT/lib/firmware/ipw2100-1.3.fw

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/lib/firmware/ipw2100-1.3-i.fw
/lib/firmware/ipw2100-1.3-p.fw
/lib/firmware/ipw2100-1.3.fw

%changelog
* Sun Feb 14 2010 Texstar <texstar at gmail.com> 1.3-2pclos2010
- update for 2010 

* Wed Jan 03 2007 Texstar <texstar@houston.rr.com> 1.3-1pclos2007
- Build for PCLinuxOS 2007
